Category: Issues filter Estimated time: 0.00 hour
Resolution: Invalid Affected version: 3.4.6

Description

We have Redmine 3.4.6.

When trying to create a custom query, cannot setup a filter for a query.

For example, if I wanted to create a query that showed all open issues, you would choose a filter on the field 'Status' and then criteria

would appear to choose 'Open'.

When I select a filter for the field 'Status', the criteria of 'Open' does not appear when I choose the 'Status' field filter.

History

#1 - 2018-10-01 16:39 - Holger Just

- Status changed from New to Needs feedback

When filtering issues, Redmine by default shows all open issues (i.e. all issues with a status which is not defined as closed) This should look like this:

 filter@2x.png 

To chose a specific status, yu can select is and define the specific status you want to filter for.

If that doesn't show like this in your setup,, please describe in more detail what you expect and what you see. See also Submissions for some

guidelines on what information to provide with issues so that we can better help you.

#2 - 2018-10-01 16:39 - Holger Just

- File filter@2x.png added

#3 - 2018-10-02 11:06 - mark f

Thank you very much for the response.

For more clarity, in our Redmine 3.4.6, after the field 'Status' is selected for the filter, there is nothing further that becomes available to select - no

'open', no 'is', no 'is not', no 'closed', no 'any' - nothing at all.

We were wondering if this is a found problem or an indication of possibly a problem with our installation of Redmine.

And if this is a problem with our Redmine installation, what could be done to correct it.

#4 - 2018-10-03 13:10 - mark f

mark f wrote:

We have Redmine 3.4.6.

When trying to create a custom query, cannot setup a filter for a query.

For example, if I wanted to create a query that showed all open issues, you would choose a filter on the field 'Status' and then criteria would

appear to choose 'Open'.

When I select a filter for the field 'Status', the criteria of 'Open' (as well as any of the other choices) does not appear when I choose the 'Status'

field filter.

 Please help direct me to someone we can contact that can help us resolve this issue.

#5 - 2018-10-03 15:03 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Please use forums for asking help, don't use issues.

You have already posted a message for this topic: creating filter for query in 3.4.6 does not work 

Why don't you write there?
https://www.redmine.org/projects/redmine/wiki/Submissions
https://www.redmine.org/boards/2/topics/55903
